## org.eclipse.emf.ecore.sdo.util
Class SDOSwitch<T>

    java.lang.Object
      org.eclipse.emf.ecore.sdo.util.SDOSwitch<T>

    public class SDOSwitch<T>

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `SDOPackage`

Field Summary
`protected static SDOPackage` `modelPackage` The cached model package

Constructor Summary
`SDOSwitch()` Creates an instance of the switch

Method Summary
`T` `caseAnyType(AnyType object)` Returns the result of interpreting the object as an instance of 'Any Type'
`T` `caseChangeDescription(ChangeDescription object)` Returns the result of interpreting the object as an instance of 'Description'
`T` `caseChangeSummary(ChangeSummary object)` Returns the result of interpreting the object as an instance of 'Change Summary'
`T` `caseChangeSummarySetting(ChangeSummary.Setting object)` Returns the result of interpreting the object as an instance of 'Change Summary Setting'
`T` `caseDataGraph(DataGraph object)` Returns the result of interpreting the object as an instance of 'Data Graph'
`T` `caseDataObject(DataObject object)` Returns the result of interpreting the object as an instance of 'Data Object'
`T` `caseEChangeSummary(EChangeSummary object)` Returns the result of interpreting the object as an instance of 'EChange Summary'
`T` `caseEChangeSummarySetting(EChangeSummarySetting object)` Returns the result of interpreting the object as an instance of 'EChange Summary Setting'
`T` `caseEDataGraph(EDataGraph object)` Returns the result of interpreting the object as an instance of 'EData Graph'
`T` `caseEDataObject(EDataObject object)` Returns the result of interpreting the object as an instance of 'EData Object'
`T` `caseEDataObjectAnyType(EDataObjectAnyType object)` Returns the result of interpreting the object as an instance of 'EData Object Any Type'
`T` `caseEDataObjectSimpleAnyType(EDataObjectSimpleAnyType object)` Returns the result of interpreting the object as an instance of 'EData Object Simple Any Type'
`T` `caseEJavaSerializable(java.io.Serializable object)` Returns the result of interpreting the object as an instance of 'EJava Serializable'
`T` `caseEProperty(EProperty object)` Returns the result of interpreting the object as an instance of 'EProperty'
`T` `caseESequence(ESequence object)` Returns the result of interpreting the object as an instance of 'ESequence'
`T` `caseEType(EType object)` Returns the result of interpreting the object as an instance of 'EType'
`T` `caseFeatureChange(FeatureChange object)` Returns the result of interpreting the object as an instance of 'Feature Change'
`T` `caseInternalEDataObject(InternalEDataObject object)` Returns the result of interpreting the object as an instance of 'Internal EData Object'
`T` `caseProperty(Property object)` Returns the result of interpreting the object as an instance of 'Property'
`T` `caseSequence(Sequence object)` Returns the result of interpreting the object as an instance of 'Sequence'
`T` `caseSimpleAnyType(SimpleAnyType object)` Returns the result of interpreting the object as an instance of 'Simple Any Type'
`T` `caseType(Type object)` Returns the result of interpreting the object as an instance of 'Type'
`T` `defaultCase(EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
`protected T` `doSwitch(EClass theEClass, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`T` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected T` `doSwitch(int classifierID, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static SDOPackage modelPackage

  The cached model package

Constructor Detail

### SDOSwitch

    public SDOSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public T doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(EClass theEClass,
                         EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(int classifierID,
                         EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseEDataObject

    public T caseEDataObject(EDataObject object)

  Returns the result of interpreting the object as an instance of 'EData Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EData Object'.
  See Also:
    `doSwitch(EObject)`

### caseEDataGraph

    public T caseEDataGraph(EDataGraph object)

  Returns the result of interpreting the object as an instance of 'EData Graph'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EData Graph'.
  See Also:
    `doSwitch(EObject)`

### caseEChangeSummary

    public T caseEChangeSummary(EChangeSummary object)

  Returns the result of interpreting the object as an instance of 'EChange Summary'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EChange Summary'.
  See Also:
    `doSwitch(EObject)`

### caseEProperty

    public T caseEProperty(EProperty object)

  Returns the result of interpreting the object as an instance of 'EProperty'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EProperty'.
  See Also:
    `doSwitch(EObject)`

### caseDataObject

    public T caseDataObject(DataObject object)

  Returns the result of interpreting the object as an instance of 'Data Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Data Object'.
  See Also:
    `doSwitch(EObject)`

### caseESequence

    public T caseESequence(ESequence object)

  Returns the result of interpreting the object as an instance of 'ESequence'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ESequence'.
  See Also:
    `doSwitch(EObject)`

### caseDataGraph

    public T caseDataGraph(DataGraph object)

  Returns the result of interpreting the object as an instance of 'Data Graph'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Data Graph'.
  See Also:
    `doSwitch(EObject)`

### caseChangeSummary

    public T caseChangeSummary(ChangeSummary object)

  Returns the result of interpreting the object as an instance of 'Change Summary'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Change Summary'.
  See Also:
    `doSwitch(EObject)`

### caseEType

    public T caseEType(EType object)

  Returns the result of interpreting the object as an instance of 'EType'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EType'.
  See Also:
    `doSwitch(EObject)`

### caseType

    public T caseType(Type object)

  Returns the result of interpreting the object as an instance of 'Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Type'.
  See Also:
    `doSwitch(EObject)`

### caseProperty

    public T caseProperty(Property object)

  Returns the result of interpreting the object as an instance of 'Property'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Property'.
  See Also:
    `doSwitch(EObject)`

### caseSequence

    public T caseSequence(Sequence object)

  Returns the result of interpreting the object as an instance of 'Sequence'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sequence'.
  See Also:
    `doSwitch(EObject)`

### caseEChangeSummarySetting

    public T caseEChangeSummarySetting(EChangeSummarySetting object)

  Returns the result of interpreting the object as an instance of 'EChange Summary Setting'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EChange Summary Setting'.
  See Also:
    `doSwitch(EObject)`

### caseInternalEDataObject

    public T caseInternalEDataObject(InternalEDataObject object)

  Returns the result of interpreting the object as an instance of 'Internal EData Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Internal EData Object'.
  See Also:
    `doSwitch(EObject)`

### caseEDataObjectAnyType

    public T caseEDataObjectAnyType(EDataObjectAnyType object)

  Returns the result of interpreting the object as an instance of 'EData Object Any Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EData Object Any Type'.
  See Also:
    `doSwitch(EObject)`

### caseEDataObjectSimpleAnyType

    public T caseEDataObjectSimpleAnyType(EDataObjectSimpleAnyType object)

  Returns the result of interpreting the object as an instance of 'EData Object Simple Any Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EData Object Simple Any Type'.
  See Also:
    `doSwitch(EObject)`

### caseEJavaSerializable

    public T caseEJavaSerializable(java.io.Serializable object)

  Returns the result of interpreting the object as an instance of 'EJava Serializable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EJava Serializable'.
  See Also:
    `doSwitch(EObject)`

### caseChangeDescription

    public T caseChangeDescription(ChangeDescription object)

  Returns the result of interpreting the object as an instance of 'Description'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Description'.
  See Also:
    `doSwitch(EObject)`

### caseFeatureChange

    public T caseFeatureChange(FeatureChange object)

  Returns the result of interpreting the object as an instance of 'Feature Change'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Feature Change'.
  See Also:
    `doSwitch(EObject)`

### caseAnyType

    public T caseAnyType(AnyType object)

  Returns the result of interpreting the object as an instance of 'Any Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Any Type'.
  See Also:
    `doSwitch(EObject)`

### caseSimpleAnyType

    public T caseSimpleAnyType(SimpleAnyType object)

  Returns the result of interpreting the object as an instance of 'Simple Any Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Simple Any Type'.
  See Also:
    `doSwitch(EObject)`

### caseChangeSummarySetting

    public T caseChangeSummarySetting(ChangeSummary.Setting object)

  Returns the result of interpreting the object as an instance of 'Change Summary Setting'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Change Summary Setting'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.